net.sf.jasperreports.components.sort

## Enum FilterTypesEnum

- java.lang.Object
- - java.lang.Enum<FilterTypesEnum>
  - - net.sf.jasperreports.components.sort.FilterTypesEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FilterTypesEnum>, JREnum, NamedEnum

      public enum FilterTypesEnum
      extends java.lang.Enum<FilterTypesEnum>
      implements JREnum

  Version:
    $Id: FilterTypesEnum.java 6281 2013-06-18 11:11:41Z narcism $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN`
    `DATE`
    `NUMERIC`
    `TEXT`
    `TIME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FilterTypesEnum` | `getByName(java.lang.String name)`
    `static FilterTypesEnum` | `getByValue(byte value)`
    `static FilterTypesEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static FilterTypesEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FilterTypesEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NUMERIC

          public static final FilterTypesEnum NUMERIC

    - #### TEXT

          public static final FilterTypesEnum TEXT

    - #### DATE

          public static final FilterTypesEnum DATE

    - #### BOOLEAN

          public static final FilterTypesEnum BOOLEAN

    - #### TIME

          public static final FilterTypesEnum TIME

  - ### Method Detail

    - #### values

          public static FilterTypesEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FilterTypesEnum c : FilterTypesEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FilterTypesEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static FilterTypesEnum getByName(java.lang.String name)

    - #### getByValue

          public static FilterTypesEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static FilterTypesEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com